wordpress 点滴–6 升级后权限问题以及更换新的模板

之前wordpress更新到前一个版本之后出现的一个问题,就是在后台点击更新到最新的wordpress或者是更新/添加插件的时候,会返回提示:“没有足够的权限(You do not have sufficient permissions)”,自己也查过账号和文件的权限,但是一直也没有找到问题的根源所在.

最近抽空研究了一下这个问题,最后在这里才找到问题原因的说明,应该是因为之前从很低的版本直接跨越升级,wordpress的数据库中wp_user_roles的参数缺失造成的,同样在这里也给出了解决的办法,不过自己对数据库的操作还是不太熟悉,还是用了笨办法直接重新安装wordpress了,还好有wordpress的导入导出功能…看来以后还是老老实实一个一个版本升级的好.

之后一切运行正常,在添加插件/模板之类时也没有’没有足够的权限‘这样的问题出现。

另外, 说到模板, 之前一直用的是 SpotLight  的模板, 个人也比较喜欢这种简约的风格, 不过久了之后还是想换其他的尝试下, 现在这款 Mystique 的模板据说使用人数非常多的了(之前完全不知道,真是 out 很久了…),  装上之后发现确实挺强, 可以定制的东西不少, 而且集成了相关文章和 light-box 的功能, 也省去了这些插件.  里面我觉得比较特别的算是可以在日志/页面里直接调用 wordpress 或是模板自己的 ’widget class‘  来实现不同的功能,我现在用的存档页面就是直接在页面里加入对应的 widget- class 实现的. 感觉确实不错,要是有时间研究下他的 css 的话,可以当做通用的模板框架了


版权声明: 本站文章版权所有,转载须以超链接形式标明文章原始出处和版权信息。

发表评论

电子邮件地址不会被公开。 必填项已用*标注